package com.ruoyi.web.v1.model;

import com.ruoyi.common.annotation.Excel;

import java.util.Date;

public class NFIDReader {

    //‘0’-离线，‘1’-在线，‘2’-异常
    public static final String STATUS_INLINE = "1";

    public static final String STATUS_OFFLINE = "0";

    public static final String STATUS_ERROR = "2";

    //‘bind’-吊钩绑定，‘weight’-白条称重
    public static final String BIND_SPOT = "bind";

    public static final String WEIGHT_SPOT = "weight";


    /**
     * ID
     */
    private Long id;
    /**
     * 设备序列号
     */
    @Excel(name = "设备序列号")
    private String deviceSerial;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 设备点位：‘a’-吊钩绑定，‘b’-白条称重
     */
    @Excel(name = "设备点位：‘bind’-吊钩绑定，‘weight’-白条称重")
    private String deviceSpot;

    /**
     * 最近活跃时间
     */
    @Excel(name = "最近活跃时间")
    private Date lastActiveTime;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String status;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getDeviceSerial()
    {
        return deviceSerial;
    }

    public void setDeviceSerial(String deviceSerial)
    {
        this.deviceSerial = deviceSerial;
    }

    public String getDeviceName()
    {
        return deviceName;
    }

    public void setDeviceName(String deviceName)
    {
        this.deviceName = deviceName;
    }

    public String getDeviceSpot()
    {
        return deviceSpot;
    }

    public void setDeviceSpot(String deviceSpot)
    {
        this.deviceSpot = deviceSpot;
    }

    public Date getLastActiveTime()
    {
        return lastActiveTime;
    }

    public void setLastActiveTime(Date lastActiveTime)
    {
        this.lastActiveTime = lastActiveTime;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }
}